Uploaded image for project: 'Hadoop YARN'
  1. Hadoop YARN
  2. YARN-8472 YARN Container Phase 2
  3. YARN-8287

Update documentation and yarn-default related to the Docker runtime

    Details

    • Type: Sub-task
    • Status: Resolved
    • Priority: Minor
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 3.2.0, 3.1.2
    • Component/s: None
    • Labels:

      Description

      There are a few typos and omissions in the documentation and yarn-default wrt running Docker containers on YARN. Below is what I noticed, but a more thorough review is still needed:

      • docker.allowed.volume-drivers is not documented
      • None of the GPU or FPGA related items are in the Docker docs.
      • "To run without any capabilites," - typo in yarn-default.xml
      • remove   <!-Docker configuration-> from yarn-default.xml
      • yarn.nodemanager.runtime.linux.docker.delayed-removal.allowed missing from docs
      • yarn.nodemanager.runtime.linux.docker.stop.grace-period missing from docs
      • The user remapping features are missing from the docs, we should explicitly call this out.
      • The privileged container section could use a bit of rework to outline the risks of the feature.
      • Is it time to remove the security warnings? The community has made many improvements since that warning was added. 
      • "path within the contatiner" typo

        Attachments

        1. YARN-8287.002.patch
          8 kB
          Craig Condit
        2. YARN-8287.001.patch
          8 kB
          Craig Condit

          Issue Links

            Activity

              People

              • Assignee:
                ccondit-target Craig Condit
                Reporter:
                shanekumpf@gmail.com Shane Kumpf
              • Votes:
                0 Vote for this issue
                Watchers:
                5 Start watching this issue

                Dates

                • Due:
                  Created:
                  Updated:
                  Resolved: